Implementing the

2 years 4 months ago #10057 by Vitja
Okay, here we go:

1. Install new development version of the main plugin: joomla-extensions.kubik-rubik.de/downloa...ck-plus-joomla-3-dev

System - ECC+ - EasyCalcCheck Plus -> Configure after the installation and publish it.

2. Install support plugin for Community Builder: joomla-extensions.kubik-rubik.de/downloa...builder-joomla-3-dev

ECC+ - Community Builder -> Activate the helper plugin after installation.

Please note: The login form is not protected. The main reason is that this form is loaded from the CB login module in the login view of the component and therefore it has exactly the same output. If you also have the module activated, the plugin can not determine which form belongs to the component and which one to the module. Another reason is that spam bots actually should be stopped in the registration process and not in the login process. ;)

Please give feedback!

@robinduckett: Please also test. If you don't have access to the dev-versions, then please write me a short email and I'll send you the files. Use the email address with which you've registered your account.

Greetings

Kubik-Rubik Joomla! Extensions

Please support my work with a review in the Joomla! Extensions Directory: extensions.joomla.org/profile/profile/details/61997
2 years 4 months ago #10058 by tdlc
Hello

The first tests are successful.
Good job.
2 years 4 months ago #10062 by Vitja
Thank you!

Would be great if you could write a short review in the JED: extensions.joomla.org/extension/easycalccheck-plus

Greetings

Kubik-Rubik Joomla! Extensions

Please support my work with a review in the Joomla! Extensions Directory: extensions.joomla.org/profile/profile/details/61997
2 years 3 months ago #10137 by Koerperklaus

Vitja wrote: Okay, here we go:

1. Install new development version of the main plugin: joomla-extensions.kubik-rubik.de/downloa...ck-plus-joomla-3-dev

System - ECC+ - EasyCalcCheck Plus -> Configure after the installation and publish it.

2. Install support plugin for Community Builder: joomla-extensions.kubik-rubik.de/downloa...builder-joomla-3-dev

ECC+ - Community Builder -> Activate the helper plugin after installation.

Please note: The login form is not protected. The main reason is that this form is loaded from the CB login module in the login view of the component and therefore it has exactly the same output. If you also have the module activated, the plugin can not determine which form belongs to the component and which one to the module. Another reason is that spam bots actually should be stopped in the registration process and not in the login process. ;)

Please give feedback!

@robinduckett: Please also test. If you don't have access to the dev-versions, then please write me a short email and I'll send you the files. Use the email address with which you've registered your account.

Greetings


Hi,
i followed the instructions above to implement a captcha to the registration form on my joomla-website using community builder 2.0.13. The joomla version is 3.4.8. I configured Google's recaptcha 2.0 with the two keys like working fine for me before with the standard joomla registration. I also tried the math-problem-captcha without recaptcha. Now the problem is that with both plugins activated i get the following error message by opening every page on my website:

Fatal error: Can't use method return value in write context in /************/plugins/system/easycalccheckplus/easycalccheckplus/helper.php on line 186

Do you have an idea how to solve this problem?

Thanks and best regards
2 years 3 months ago #10142 by Vitja
Hello Koerperklaus,

thank you for activating a support subscription.

What PHP version do you use? Is it 5.4.x or below?

Regards

Kubik-Rubik Joomla! Extensions

Please support my work with a review in the Joomla! Extensions Directory: extensions.joomla.org/profile/profile/details/61997
2 years 3 months ago #10147 by Koerperklaus
Yes, i'm actually using PHP version 5.3.29. Do you recommend to update it?
2 years 3 months ago - 2 years 3 months ago #10149 by Vitja
Yes, you should use at least PHP version 5.6. Your version is not supported since over one year, you shouldn't use it anymore (see en.wikipedia.org/wiki/PHP#Release_history ).

Is it possible to switch the PHP version at your hosting company?

Greetings

Kubik-Rubik Joomla! Extensions

Please support my work with a review in the Joomla! Extensions Directory: extensions.joomla.org/profile/profile/details/61997
The following user(s) said Thank You: Koerperklaus
2 years 3 months ago #10150 by Koerperklaus
Yes it's possible and esay to switch the PHP-Version. Now the captcha works as RECAPTCHA 2.0 at my registration Form. Thanks a lot!
2 years 3 months ago #10151 by Vitja
Great, thank you for your feedback.

Greetings

Kubik-Rubik Joomla! Extensions

Please support my work with a review in the Joomla! Extensions Directory: extensions.joomla.org/profile/profile/details/61997
Time to create page: 0.278 seconds